﻿using System;
using System.Collections.ObjectModel;
using WpfRatingSelector.Models;

namespace WpfRatingSelector.ViewModels
{
	/// <summary>
	/// MainWindow の Model と View を仲介します。
	/// </summary>
	class MainWindowViewModel
	{
		/// <summary>
		/// インスタンスを初期化します。
		/// </summary>
		public MainWindowViewModel()
		{
			string album = "Close to the Edge", artist = "Yes";

			this.Songs = new ObservableCollection< SongViewModel >()
			{
				new SongViewModel( new Song(){ Rating = 4, Album = album, Artist = artist, Duration = new TimeSpan( 0, 18, 45 ), Title = "Close to the Edge" } ),
				new SongViewModel( new Song(){ Rating = 2, Album = album, Artist = artist, Duration = new TimeSpan( 0, 10, 11 ), Title = "And You and I"     } ),
				new SongViewModel( new Song(){ Rating = 1, Album = album, Artist = artist, Duration = new TimeSpan( 0,  8, 54 ), Title = "Siberian Khatru"   } )
			};
		}

		/// <summary>
		/// 曲情報のコレクションを取得します。
		/// </summary>
		public ObservableCollection< SongViewModel > Songs { get; private set; }
	}
}
